-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onInit()
    electrics.values.feet = 0
end

local function onCouplerAttached(nodeId, obj2id, obj2nodeId)
    electrics.values.feet = 1
end

local function onCouplerDetached(nodeId, obj2id, obj2nodeId)
    electrics.values.feet = 0
end

-- public interface
M.onInit      = onInit
M.onReset     = onInit
M.onCouplerAttached = onCouplerAttached
M.onCouplerDetached = onCouplerDetached

return M
