singleton Material(trailer_base)
{
    mapTo = "trailer_base";
    diffuseMap[1] = "vehicles/common/trailers/trailerbase_d.dds";
    specularMap[1] = "vehicles/common/trailers/trailerbase_s.dds";
    normalMap[1] = "vehicles/common/trailers/trailerbase_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/trailers/trailerbase_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(trailer_mudflap)
{
    mapTo = "trailer_mudflap";
    diffuseMap[0] = "vehicles/common/trailers/trailer_mudflap_d.dds";
    normalMap[0] = "vehicles/common/trailers/trailer_mudflap_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    specularMap[0] = "vehicles/common/trailers/trailer_mudflap_s.dds";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(semi_frame)
{
    mapTo = "semi_frame";
    diffuseMap[1] = "vehicles/semi/semi_frame_d.dds";
    specularMap[1] = "vehicles/semi/semi_frame_s.dds";
    normalMap[1] = "vehicles/semi/semi_frame_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_frame_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_haybale)
{
    mapTo = "haybale";
    diffuseMap[0] = "vehicles/haybale/haybale_d.dds";
    specularMap[0] = "vehicles/haybale/haybale_s.dds";
    normalMap[0] = "vehicles/haybale/haybale_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(semi_haybale2)
{
    mapTo = "haybale2";
    diffuseMap[0] = "vehicles/haybale/haybale2_d.dds";
    specularMap[0] = "vehicles/haybale/haybale_s.dds";
    normalMap[0] = "vehicles/haybale/haybale_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    //subSurface[0] = "1";
    //subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
    //subSurfaceRolloff[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(semi_haybale3)
{
    mapTo = "haybale3";
    diffuseMap[0] = "vehicles/haybale/haybale3_d.dds";
    specularMap[0] = "vehicles/haybale/haybale_s.dds";
    normalMap[0] = "vehicles/haybale/haybale_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    subSurface[0] = "1";
    subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
    subSurfaceRolloff[0] = "0.4";
    materialTag0 = "beamng"; materialTag1 = "object";
    doubleSided = "1";
};

singleton Material(containers_AR162b)
{
   mapTo = "containers_AR162b";
   diffuseColor[0] = "0.996078 0.992157 0.992157 1";
   doubleSided = "0";
   translucentBlendOp = "None";
   diffuseMap[0] = "levels/east_coast_usa/art/shapes/misc/containers_01_a_d.dds";
   normalMap[0] = "levels/east_coast_usa/art/shapes/misc/containers_01_a_n.dds";
   specularMap[0] = "levels/east_coast_usa/art/shapes/misc/containers_01_a_s.dds";
};

singleton Material(semi_tree)
{
    mapTo = "semi_tree";
    diffuseMap[0] = "levels/east_coast_usa/art/shapes/trees/trees_oak/vegetation_bark_d.dds";
    detailNormalMap[0] = "levels/east_coast_usa/art/shapes/trees/trees_oak/vegetation_bark_n.dds";
    normalMap[0] = "levels/east_coast_usa/art/shapes/trees/trees_oak/vegetation_bark_n.dds";
    detailMap[0] = "levels/east_coast_usa/art/shapes/trees/trees_oak/vegetation_bark_detail.dds";
    doubleSided = "0";
    translucentBlendOp = "LerpAlpha";
    materialTag1 = "beamng";
    materialTag0 = "beamng";
    materialTag2 = "Natural";
    materialTag3 = "vegetation";
    detailScale[0] = "0.1 0.1";
    detailNormalMapStrength[0] = "1.5";
    diffuseColor[0] = "0.862745 0.862745 0.862745 1";
    specularPower[0] = "1";
    specularStrength[0] = "0.392157";
};

singleton Material(semi_tree_chopped)
{
    mapTo = "semi_tree_chopped";
    diffuseMap[0] = "levels/east_coast_usa/art/shapes/trees/common/trunk_chopped_d.dds";
    specularMap[0] = "levels/east_coast_usa/art/shapes/trees/common/trunk_chopped_s.dds";
    doubleSided = "0";
    translucentBlendOp = "LerpAlpha";
    materialTag0 = "beamng";
    materialTag1 = "Natural";
    materialTag2 = "vegetation";
    specularMap[0] = "trunk_chopped_s.dds";
};

singleton Material(semi_race_decals_ar162b_40)
{
   mapTo = "semi_race_decals_ar162b_40";
   diffuseMap[1] = "vehicles/semi/decals_race_AR162b_40.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.9 0.14 0.02 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(semi_race_decals_ar162b_56)
{
   mapTo = "semi_race_decals_ar162b_56";
   diffuseMap[1] = "vehicles/semi/decals_race_AR162b_56.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.23 0.45 0.96 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(semi_race_decals_ar162b_72)
{
   mapTo = "semi_race_decals_ar162b_72";
   diffuseMap[1] = "vehicles/semi/decals_race_AR162b_72.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.15 0.98 0.16 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(semi_race_decals_ar162b_81)
{
   mapTo = "semi_race_decals_ar162b_81";
   diffuseMap[1] = "vehicles/semi/decals_race_AR162b_81.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.98 0.95 0.21 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(semi_race_decals_ar162b_93)
{
   mapTo = "semi_race_decals_ar162b_93";
   diffuseMap[1] = "vehicles/semi/decals_race_AR162b_93.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.45 0.45 0.45 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(semi_metal_AR162b)
{
    mapTo = "semi_metal_AR162b";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseColor[0] = "0.5 0.5 0.5 0.6";
    specularColor[0] = "0.0 0.65 0.65 0.6";
    diffuseColor[1] = "0.6 0.6 0.6 0.6";
    specularColor[1] = "0.8 0.8 0.8 0.6";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
};


